Package org.apache.maven.scm.provider.perforce.command.changelog

## Class PerforceChangesConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.perforce.command.changelog.PerforceChangesConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class PerforceChangesConsumer
    extends AbstractConsumer

Author:
  Emmanuel Venisse, Olivier Lamy

### Constructor Summary

Constructors
`PerforceChangesConsumer​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<java.lang.String>` `getChanges()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceChangesConsumer

    public PerforceChangesConsumer​(ScmLogger logger)

### Method Detail

#### getChanges

    public java.util.List<java.lang.String> getChanges()
                                                throws ScmException

Throws:
  `ScmException`

#### consumeLine

    public void consumeLine​(java.lang.String line)